%define theme Junior
Name: indexhtml-%theme
Version: 2.3
Release: alt7

Summary: ALT Linux 2.3 Junior html welcome page
License: distributable
Group: System/Base
BuildArch: noarch
Serial: 1

Source0: %name-%version.tar.bz2
Source1: indexhtml.firsttime
Source2: indexhtml_update

Provides: indexhtml
PreReq: alternatives >= 0.0.6
Requires(post): coreutils, grep, %__subst, glibc-locales

Summary(de): ALT Linux-html-Indexseite
Summary(es): %name -- la pgina de bienvenida de ALT Linux
Summary(fr): Page HTML d'accueil de ALT Linux
Summary(tr): ALT Linux html giri sayfas
Summary(wa): %name -- li pdje di bnvnuwe di ALT Linux
Summary(ru_RU.KOI8-R):    ALT Linux 

# Automatically added by buildreq on Mon May 17 2004
BuildRequires: libalternatives-devel

%description
ALT Linux index.html welcome page.

%description -l de
ALT Linux html-Indexseite.

%description -l es
Pgina de bienvenida de ALT Linux index.html.

%description -l fr
La page de bienvenue de ALT Linux index.html.

%description -l tr
ALT Linux html giri sayfas.

%description -l wa
Li pdje di bnvnuwe di ALT Linux index.html.

%description -l ru_RU.KOI8-R
   ALT Linux.

%prep
%setup -q

%install
%__mkdir_p %buildroot{%_sbindir,%_docdir,%_altdir}
%__mkdir_p %buildroot%_docdir/{alt-docs,alt-docs-en}
%__install -pD -m755 %SOURCE1 %buildroot%_sysconfdir/firsttime.d/indexhtml
%__install -pm755 %SOURCE2 %buildroot%_sbindir/
%__cp -av HTML %buildroot%_docdir/

%__cat <<__EOF__ >%buildroot%_altdir/%name-docs.xml 
<group name="candidate">
        <option name="link">%_docdir/alt-docs/index.html</option>
        <option name="real">%_docdir/HTML/tap-ru.html</option>
        <option name="weight" type="number">5</option>
</group>
__EOF__
			

%__cat <<__EOF__ >%buildroot%_altdir/%name-docs-en.xml 
<group name="candidate">
        <option name="link">%_docdir/alt-docs-en/index.html</option>
        <option name="real">%_docdir/HTML/tap-en.html</option>
        <option name="weight" type="number">5</option>
</group>
__EOF__
	

%post
%_sbindir/indexhtml_update
%register_alternatives %name-docs.xml
%register_alternatives %name-docs-en.xml

%preun
%unregister_alternatives %name-docs.xml
%unregister_alternatives %name-docs-en.xml

%files
%config %_sysconfdir/firsttime.d/*
%_sbindir/*
%_docdir/HTML
%_altdir/%name-docs.xml
%_altdir/%name-docs-en.xml
%_docdir/alt-docs
%_docdir/alt-docs-en

%changelog
* Fri Jun 25 2004 Kirill Maslinsky <kirill@altlinux.ru> 1:2.3-alt7
- build for Junior

* Mon May 24 2004 Kirill Maslinsky  <kirill@altlinux.ru> 1:2.3-alt6
- All absolute links changed to relative
- Text profiled for SchoolJunior (support section omitted)

* Mon May 17 2004 Kirill Maslinsky <kirill@altlinux.ru> 1:2.3-alt5
- Text updated for Junior 2.3 
- Added alternatives to maintain links to DOcumantation main 
pages. This package contain only low priority taps with instructions 
how to get and install documentation.

* Wed Oct 29 2003 Rider <rider@altlinux.ru> 1:2.3-alt4
- sync changes with indexhtml for Sisyphus

* Mon Oct 20 2003 Rider <rider@altlinux.ru> 1:2.3-alt3
- Freshmeat replaced to Sisyphus
- removed README.ALT (Workaround to #3098, #3099)

* Sun Sep 28 2003 Rider <rider@altlinux.ru> 1:2.3-alt2
- fixed typo

* Wed Jul 30 2003 Rider <rider@altlinux.ru> 1:2.3-alt1
- first build

